# sha512_256 | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- Hash
  - sha512_256

### Implements

- ReadableStream
- Writable

## Index

### Constructors

- constructor

### Properties

- readable
- readableFlowing
- readableHighWaterMark
- readableLength
- writable
- writableHighWaterMark
- writableLength
- defaultMaxListeners

### Methods

- [Symbol.asyncIterator]
- _destroy
- _final
- _flush
- _read
- _transform
- _write
- _writev
- addListener
- cork
- destroy
- digest
- emit
- end
- eventNames
- getMaxListeners
- isPaused
- listenerCount
- listeners
- off
- on
- once
- pause
- pipe
- prependListener
- prependOnceListener
- push
- rawListeners
- read
- removeAllListeners
- removeListener
- resume
- setDefaultEncoding
- setEncoding
- setMaxListeners
- uncork
- unpipe
- unshift
- update
- wrap
- write
- listenerCount

## Constructors

### constructor

- new sha512_256(): sha512_256

- Overrides Transform.__constructor

  - Defined in packages/transactions/src/utils.ts:64

  #### Returns sha512_256

## Properties

### readable

readable: boolean

Inherited from sha512_256.readable

- Defined in node_modules/@types/node/stream.d.ts:20

### Readonly readableFlowing

readableFlowing: boolean | null

Inherited from sha512_256.readableFlowing

- Defined in node_modules/@types/node/stream.d.ts:21

### Readonly readableHighWaterMark

readableHighWaterMark: number

Inherited from sha512_256.readableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:22

### Readonly readableLength

readableLength: number

Inherited from sha512_256.readableLength

- Defined in node_modules/@types/node/stream.d.ts:23

### writable

writable: boolean

Inherited from sha512_256.writable

- Defined in node_modules/@types/node/stream.d.ts:210

### Readonly writableHighWaterMark

writableHighWaterMark: number

Inherited from sha512_256.writableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:211

### Readonly writableLength

writableLength: number

Inherited from sha512_256.writableLength

- Defined in node_modules/@types/node/stream.d.ts:212

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from sha512_256.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:18

## Methods

### [Symbol.asyncIterator]

- [Symbol.asyncIterator](): AsyncIterableIterator<any>

- Inherited from sha512_256.[Symbol.asyncIterator]

  - Defined in node_modules/@types/node/stream.d.ts:96

  #### Returns AsyncIterableIterator<any>

### _destroy

- _destroy(error: Error | null, callback: (error: Error | null) => void): void

- Inherited from sha512_256._destroy

  Overrides Readable._destroy

  - Defined in node_modules/@types/node/stream.d.ts:216

  #### Parameters

  - ##### error: Error | null

  - ##### callback: (error: Error | null) => void

    - - (error: Error | null): void

      - #### Parameters

        - ##### error: Error | null

        #### Returns void

### _final

- _final(callback: (error?: Error | null) => void): void

- Inherited from sha512_256._final

  - Defined in node_modules/@types/node/stream.d.ts:217

  #### Parameters

  - ##### callback: (error?: Error | null) => void

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### _flush

- _flush(callback: TransformCallback): void

- Inherited from sha512_256._flush

  - Defined in node_modules/@types/node/stream.d.ts:243

  #### Parameters

  - ##### callback: TransformCallback

  #### Returns void

### _read

- _read(size: number): void

- Inherited from sha512_256._read

  - Defined in node_modules/@types/node/stream.d.ts:25

  #### Parameters

  - ##### size: number

  #### Returns void

### _transform

- _transform(chunk: any, encoding: string, callback: TransformCallback): void

- Inherited from sha512_256._transform

  - Defined in node_modules/@types/node/stream.d.ts:242

  #### Parameters

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: TransformCallback

  #### Returns void

### _write

- _write(chunk: any, encoding: string, callback: (error?: Error | null) => void): void

- Inherited from sha512_256._write

  - Defined in node_modules/@types/node/stream.d.ts:214

  #### Parameters

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: (error?: Error | null) => void

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### Optional _writev

- _writev(chunks: Array<{ chunk: any; encoding: string }>, callback: (error?: Error | null) => void): void

- Inherited from sha512_256._writev

  - Defined in node_modules/@types/node/stream.d.ts:215

  #### Parameters

  - ##### chunks: Array<{ chunk: any; encoding: string }>

  - ##### callback: (error?: Error | null) => void

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### addListener

- addListener(event: "close", listener: () => void): this
- addListener(event: "data", listener: (chunk: any) => void): this
- addListener(event: "end", listener: () => void): this
- addListener(event: "readable", listener: () => void): this
- addListener(event: "error", listener: (err: Error ) => void): this
- addListener(event: string | symbol, listener: (...args: any[]) => void): this

- Inherited from sha512_256.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:47

  Event emitter The defined events on documents including:

  1. close
  2. data
  3. end
  4. readable
  5. error

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:48

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from sha512_256.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:49

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:50

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:51

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error ) => void

    - - (err: Error ): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from sha512_256.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:52

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### cork

- cork(): void

- Inherited from sha512_256.cork

  - Defined in node_modules/@types/node/stream.d.ts:224

  #### Returns void

### destroy

- destroy(error?: Error ): void

- Inherited from sha512_256.destroy

  - Defined in node_modules/@types/node/stream.d.ts:36

  #### Parameters

  - ##### Optional error: Error

  #### Returns void

### digest

- digest(): Buffer
- digest(encoding: HexBase64Latin1Encoding): string

- Overrides Hash.digest

  - Defined in packages/transactions/src/utils.ts:88

  #### Returns Buffer

- Overrides Hash.digest

  - Defined in packages/transactions/src/utils.ts:89

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  #### Returns string

### emit

- emit(event: "close"): boolean
- emit(event: "data", chunk: any): boolean
- emit(event: "end"): boolean
- emit(event: "readable"): boolean
- emit(event: "error", err: Error ): boolean
- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from sha512_256.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:54

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Inherited from sha512_256.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:55

  #### Parameters

  - ##### event: "data"

  - ##### chunk: any

  #### Returns boolean

- Inherited from sha512_256.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:56

  #### Parameters

  - ##### event: "end"

  #### Returns boolean

- Inherited from sha512_256.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:57

  #### Parameters

  - ##### event: "readable"

  #### Returns boolean

- Inherited from sha512_256.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:58

  #### Parameters

  - ##### event: "error"

  - ##### err: Error

  #### Returns boolean

- Inherited from sha512_256.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:59

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### end

- end(cb?: undefined | (() => void)): void
- end(chunk: any, cb?: undefined | (() => void)): void
- end(chunk: any, encoding?: undefined | string, cb?: undefined | (() => void)): void

- Inherited from sha512_256.end

  - Defined in node_modules/@types/node/stream.d.ts:221

  #### Parameters

  - ##### Optional cb: undefined | (() => void)

  #### Returns void

- Inherited from sha512_256.end

  - Defined in node_modules/@types/node/stream.d.ts:222

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: undefined | (() => void)

  #### Returns void

- Inherited from sha512_256.end

  - Defined in node_modules/@types/node/stream.d.ts:223

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | (() => void)

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from sha512_256.eventNames

  - Defined in node_modules/@types/node/events.d.ts:33

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from sha512_256.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:29

  #### Returns number

### isPaused

- isPaused(): boolean

- Inherited from sha512_256.isPaused

  - Defined in node_modules/@types/node/stream.d.ts:30

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from sha512_256.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:34

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from sha512_256.listeners

  - Defined in node_modules/@types/node/events.d.ts:30

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: (...args: any[]) => void): this

- Inherited from sha512_256.off

  - Defined in node_modules/@types/node/events.d.ts:26

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: "close", listener: () => void): this
- on(event: "data", listener: (chunk: any) => void): this
- on(event: "end", listener: () => void): this
- on(event: "readable", listener: () => void): this
- on(event: "error", listener: (err: Error ) => void): this
- on(event: string | symbol, listener: (...args: any[]) => void): this

- Inherited from sha512_256.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:61

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:62

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from sha512_256.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:63

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:64

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:65

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error ) => void

    - - (err: Error ): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from sha512_256.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:66

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: "close", listener: () => void): this
- once(event: "data", listener: (chunk: any) => void): this
- once(event: "end", listener: () => void): this
- once(event: "readable", listener: () => void): this
- once(event: "error", listener: (err: Error ) => void): this
- once(event: string | symbol, listener: (...args: any[]) => void): this

- Inherited from sha512_256.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:68

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:69

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from sha512_256.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:70

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:71

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:72

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error ) => void

    - - (err: Error ): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from sha512_256.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:73

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### pause

- pause(): this

- Inherited from sha512_256.pause

  - Defined in node_modules/@types/node/stream.d.ts:28

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | { end?: undefined | false | true }): T

- Inherited from sha512_256.pipe

  - Defined in node_modules/@types/node/stream.d.ts:5

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | { end?: undefined | false | true }

  #### Returns T

### prependListener

- prependListener(event: "close", listener: () => void): this
- prependListener(event: "data", listener: (chunk: any) => void): this
- prependListener(event: "end", listener: () => void): this
- prependListener(event: "readable", listener: () => void): this
- prependListener(event: "error", listener: (err: Error ) => void): this
- prependListener(event: string | symbol, listener: (...args: any[]) => void): this

- Inherited from sha512_256.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:75

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:76

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from sha512_256.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:77

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:78

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:79

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error ) => void

    - - (err: Error ): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from sha512_256.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:80

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: "close", listener: () => void): this
- prependOnceListener(event: "data", listener: (chunk: any) => void): this
- prependOnceListener(event: "end", listener: () => void): this
- prependOnceListener(event: "readable", listener: () => void): this
- prependOnceListener(event: "error", listener: (err: Error ) => void): this
- prependOnceListener(event: string | symbol, listener: (...args: any[]) => void): this

- Inherited from sha512_256.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:82

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:83

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from sha512_256.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:84

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:85

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:86

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error ) => void

    - - (err: Error ): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from sha512_256.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:87

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### push

- push(chunk: any, encoding?: undefined | string): boolean

- Inherited from sha512_256.push

  - Defined in node_modules/@types/node/stream.d.ts:34

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  #### Returns boolean

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from sha512_256.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:31

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### read

- read(size?: undefined | number): any

- Inherited from sha512_256.read

  - Defined in node_modules/@types/node/stream.d.ts:26

  #### Parameters

  - ##### Optional size: undefined | number

  #### Returns any

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from sha512_256.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:27

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: "close", listener: () => void): this
- removeListener(event: "data", listener: (chunk: any) => void): this
- removeListener(event: "end", listener: () => void): this
- removeListener(event: "readable", listener: () => void): this
- removeListener(event: "error", listener: (err: Error ) => void): this
- removeListener(event: string | symbol, listener: (...args: any[]) => void): this

- Inherited from sha512_256.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:89

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:90

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from sha512_256.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:91

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:92

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from sha512_256.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:93

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error ) => void

    - - (err: Error ): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from sha512_256.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:94

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### resume

- resume(): this

- Inherited from sha512_256.resume

  - Defined in node_modules/@types/node/stream.d.ts:29

  #### Returns this

### setDefaultEncoding

- setDefaultEncoding(encoding: string): this

- Inherited from sha512_256.setDefaultEncoding

  - Defined in node_modules/@types/node/stream.d.ts:220

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setEncoding

- setEncoding(encoding: string): this

- Inherited from sha512_256.setEncoding

  - Defined in node_modules/@types/node/stream.d.ts:27

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from sha512_256.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:28

  #### Parameters

  - ##### n: number

  #### Returns this

### uncork

- uncork(): void

- Inherited from sha512_256.uncork

  - Defined in node_modules/@types/node/stream.d.ts:225

  #### Returns void

### unpipe

- unpipe(destination?: NodeJS.WritableStream): this

- Inherited from sha512_256.unpipe

  - Defined in node_modules/@types/node/stream.d.ts:31

  #### Parameters

  - ##### Optional destination: NodeJS.WritableStream

  #### Returns this

### unshift

- unshift(chunk: any): void

- Inherited from sha512_256.unshift

  - Defined in node_modules/@types/node/stream.d.ts:32

  #### Parameters

  - ##### chunk: any

  #### Returns void

### update

- update(data: string | Buffer | NodeJS.TypedArray | DataView): Hash
- update(data: string, input_encoding: Utf8AsciiLatin1Encoding): Hash

- Inherited from sha512_256.update

  - Defined in node_modules/@types/node/crypto.d.ts:40

  #### Parameters

  - ##### data: string | Buffer | NodeJS.TypedArray | DataView

  #### Returns Hash

- Inherited from sha512_256.update

  - Defined in node_modules/@types/node/crypto.d.ts:41

  #### Parameters

  - ##### data: string

  - ##### input_encoding: Utf8AsciiLatin1Encoding

  #### Returns Hash

### wrap

- wrap(oldStream: ReadableStream): this

- Inherited from sha512_256.wrap

  - Defined in node_modules/@types/node/stream.d.ts:33

  #### Parameters

  - ##### oldStream: ReadableStream

  #### Returns this

### write

- write(chunk: any, cb?: undefined | ((error: Error | null | undefined) => void)): boolean
- write(chunk: any, encoding?: undefined | string, cb?: undefined | ((error: Error | null | undefined) => void)): boolean

- Inherited from sha512_256.write

  - Defined in node_modules/@types/node/stream.d.ts:218

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: undefined | ((error: Error | null | undefined) => void)

  #### Returns boolean

- Inherited from sha512_256.write

  - Defined in node_modules/@types/node/stream.d.ts:219

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | ((error: Error | null | undefined) => void)

  #### Returns boolean

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from sha512_256.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:17
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc